require('babel-polyfill');
require('./vue-shim');

const App = require('./panels/App.vue').default;
const PanelController = require('./panels/PanelController.js').default;
const EventController = require('./EventController.js').default;

const outlinePath = new EventController();
const outlinePathMenu = new PanelController(App, outlinePath);

module.exports = {
  commands: {
    outlinePath: outlinePath.action
  },
  panels: {
    outlinePathMenu: outlinePathMenu
  }
};
