import Vue from 'vue'

export default class {
  constructor(App, EventController) {
    this.App = App;
    this.EventController = EventController;
    this.instance = null;
    this.rootNode = document.createElement('div');
    this.attachment = null;
    ['show', 'update'].forEach(fn => this[fn] = this[fn].bind(this));
   }

   show(e) {
    const { selection, root } = require('scenegraph');
    const App = this.App;

    this.attachment = e.node;

    // インスタンスが作成されていない場合
    if(!this.instance) {
      this.attachment.appendChild(this.rootNode);
      this.instance = new Vue({
        el: this.rootNode,
        render: h => h(App)
      });
      // settingsをEventControllerに渡す
      this.instance.$on('settings-event', (settings) => {
        this.EventController._setSettingsFile(settings);
      });
    }
    // this.update(selection, root);
  }

  update(selection, root) {
    // console.log(1);
  }
}
